// Luke Keyes

public class InputModule 
{
	enum Mode
	{
		XBox_Controller,
		Keyboard,
	}
	
	public InputModule()
	{
		mInput = new XBoxInput();
	}
	
	public boolean setup()
	{
		if( mInput.setup() )
		{
			mMode = Mode.XBox_Controller;
			return true;
		}
				
		return false;
	}
	
	public boolean isStopButtonPressed()
	{
		return mInput.isStartPressed();
	}	
	
	public boolean isStartPressed() 
	{
		return mInput.isStartPressed();
	}
	
	public boolean isExplorePressed()
	{
		return mInput.isAPressed();
	}
	
	public boolean isRemotePressed()
	{
		return mInput.isBPressed();
	}	

	public boolean left()
	{
		return mInput.left();
	}
	
	public boolean right()
	{			
		return mInput.right();
	}
	
	public boolean forward()
	{
		return mInput.forward();
	}
	
	public boolean backward()
	{
		return mInput.backward();
	}
	

	public boolean poll()
	{
		return mInput.poll();
	}
	
	XBoxInput mInput;
	Mode mMode;

}
